<?php
$default_options = array(
	//Splash
	'splashPreloaderColor' => '#3498db',
	'activColor' => '#ffffff',
	'hoverColor' => '#6cb4f7',
	'gallertMargin' => '0',
	'linkTargetWindow' => '_blank',
	'columns' => '3',
	'thumbRecomendedSize' => '200',
	'spaceX' => '6',
	'coverThumbRatio' => '1',
	'coverTitleFontSizeRatio' =>'100',
	'coverTitleTextColor' => '#ffffff',
	'coverTitleBgColor' => '#000000',
	'coverTitleBgAlpha' => '60',
	'coverDescriptionTextColor' => '#ffffff',
	'descriptionBgColor' => '#000000',
	'descriptionImgAlpha' => '40',
	'flipEffect' => '1',
	'coverTitleShow' => '1',
	'coverCounerShow' => '1',
	// Collection Page
	'collectionPreloaderColor' => '#7f2ae8',
	'collectionBgColor' => '#f4f4f4',
	'collectionHeaderBgColor' => '#ffffff',
	'collectionHeaderTextColor' => '#000000',
	'collectionHeaderControllIconColor' => '#ffffff',
	'collectionHeaderControllBgColor' => '#7d7d7d',
	'collectionThumbRecomendedWidth' => '400',
	'collectionThumbInPadding' => '20',
	'collectionThumbTitleEnable' => '1',
	'collectionthumbHoverTitleFontSize' =>'18',
	'collectionthumbHoverTitleTextColor' => '#ffffff',
	'collectionThumbSubMenuVisibility' => '1',
	'collectionThumbSubMenuIconColor' => '#ffffff',
	'collectionthumbHoverBgColor' => '#000000',
	'collectionthumbHoverBgAlpha' => '80',
	// Slider Page
	'sliderPreloaderColor' => '#ffffff',
	'sliderBgColor' => '#000000',
	'sliderNavigationColor' => '#000000',
	'sliderNavigationColorOpacity' => '70',
	'sliderNavigationIconColor' => '#ffffff',
	'sliderItemTitleFontSize' => '30',
	'sliderItemTitleTextColor' => '#ffffff',
	'sliderThumbBarEnable' => '1',
	'sliderInfoEnable' => '1',
	'sliderLikesEnabled' => '1',
	'sliderInfoBoxBgColor' => '#ffffff',
	'sliderInfoBoxBgAlpha' => '100',
	'sliderInfoBoxTitleTextColor' => '#000000',
	'sliderInfoBoxTextColor' => '#4f4f4f',
	'sliderItemDownload' => '1',
	'sliderSocialShareEnabled' => '1',
	// Custom CSS
	'customCSS' => ''
);
$options_tree = array(
	array('label' => 'Collections Page (Splash page)',
		'fields' => array(
			'gallertMargin' => array('label' => 'Vertical gallery margins',
				'tag' => 'input',
				'attr' => 'type="number" min="0" max="100"',
				'text' => ''
			),
			'splashPreloaderColor' => array('label' => 'Prelloader &  Collection Spliter Color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => 'Set custom color for gallery'
			),
			'activColor' => array('label' => 'Tag button color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => ''
			),
			'reverseColor' => array('label' => 'Tag button title color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => ''
			),
			'hoverColor' => array('label' => 'Tag button hover color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => 'Set custom color for gallery'
			),
			'columns' => array('label' => 'Thumbnail Columns',
				'tag' => 'input',
				'attr' => 'type="number" min="1" max="10"',
				'text' => 'Number of columns in a row'
			),
			'thumbRecomendedSize' => array('label' => 'Minimum Thumbnail Width',
				'tag' => 'input',
				'attr' => 'type="number" min="100" max="300"',
				'text' => 'The module will ignore the number of columns.'
			),
			'coverThumbRatio' => array('label' => 'Thumbnail ratio',
				'tag' => 'input',
				'attr' => 'type="number" min="0.1" max="2" step="0.1"',
				'text' => 'Height / Width = Ratio'
			),
			'spaceX' => array('label' => 'Space between thumbnails',
				'tag' => 'input',
				'attr' => 'type="number" min="0" max="100"',
				'text' => ''
			),
			'flipEffect' => array('label' => 'Flip on mouse hover',
				'tag' => 'checkbox',
				'attr' => 'data-watch="change"',
				'text' => ''
			),
			'coverTitleShow' => array('label' => 'Collection Title',
				'tag' => 'checkbox',
				'attr' => 'data-watch="change"',
				'text' => ''
			),
			'coverCounerShow' => array('label' => 'Collection Items Counter',
				'tag' => 'checkbox',
				'attr' => 'data-watch="change"',
				'text' => ''
			),
			'coverTitleFontSizeRatio' => array('label' => 'Title - font size scale',
				'tag' => 'input',
				'attr' => 'type="number" min="0" max="200" step="10"',
				'text' => 'For Albums / Categories covers'
			),
			'coverTitleTextColor' => array('label' => 'Title - text color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => 'For Albums / Categories covers'
			),
			'coverTitleBgColor' => array('label' => 'Title - background color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => 'For Albums / Categories covers'
			),
			'coverTitleBgAlpha' => array('label' => 'Title - transparency for background',
				'tag' => 'input',
				'attr' => 'type="number" min="0" max="100" step="10"',
				'text' => 'For Albums / Categories covers'
			),
			'coverDescriptionTextColor' => array('label' => 'Description - text color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => 'For Albums / Categories covers'
			),
			'descriptionBgColor' => array('label' => 'Description - background color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => 'For Albums / Categories covers'
			),
			'descriptionImgAlpha' => array('label' => 'Description - transparency for background',
				'tag' => 'input',
				'attr' => 'type="number" min="0" max="100" step="10"',
				'text' => 'For Albums / Categories covers'
			)
		)

	),
	array('label' => 'Collection Window Settings',
		'fields' => array(
			'linkTargetWindow'           => array(
				'label'   => 'Link target',
				'tag'     => 'select',
				'attr'    => '',
				'text'    => '',
				'choices' => array(
					array(
						'label' => '_blank',
						'value' => '_blank'
					),
					array(
						'label' => '_self',
						'value' => '_self'
					)
				)
			),
			'collectionBgColor' => array('label' => 'Collection Window color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => ''
			),
			'collectionHeaderBgColor' => array('label' => 'Header background color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => ''
			),
			'collectionHeaderTextColor' => array('label' => 'Header title and description - text color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => ''
			),
			'collectionHeaderControllIconColor' => array('label' => 'Header close button icon color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => ''
			),
			'collectionHeaderControllBgColor' => array('label' => 'Header close button background color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => ''
			),
			'collectionThumbRecomendedWidth' => array('label' => 'Thumbnail desired Width',
				'tag' => 'input',
				'attr' => 'type="number" min="150" max="400"',
				'text' => ''
			),
			'collectionThumbInPadding' => array('label' => 'Space between thumbnails',
				'tag' => 'input',
				'attr' => 'type="number" min="0" max="20"',
				'text' => ''
			),
			'collectionThumbTitleEnable' => array('label' => 'Show thumbnails title',
				'tag' => 'checkbox',
				'attr' => 'data-watch="change"',
				'text' => ''
			),
			'collectionthumbHoverTitleFontSize' => array('label' => 'Thumbnails Title - font size scale',
				'tag' => 'input',
				'attr' => 'type="number" min="10" max="20" step="1" data-collectionThumbTitleEnable="is:1"',
				'text' => ''
			),
			'collectionthumbHoverTitleTextColor' => array('label' => 'Thumbnails Title - text color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color" data-collectionThumbTitleEnable="is:1"',
				'text' => ''
			),
			'collectionThumbSubMenuVisibility' => array('label' => 'Show thumbnails sub-menu',
				'tag' => 'checkbox',
				'attr' => 'data-watch="change"',
				'text' => 'Link & Like & Bookmark Buttons'
			),
			'collectionThumbSubMenuIconColor' => array('label' => 'Sub-menu button icon color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color" data-collectionThumbSubMenuVisibility="is:1"',
				'text' => ''
			),
			'collectionthumbHoverBgColor' => array('label' => 'Thumbnails hover color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => ''
			),
			'collectionthumbHoverBgAlpha' => array('label' => 'Thumbnails hover color - alpha channel',
				'tag' => 'input',
				'attr' => 'type="number" min="0" max="100" step="10"',
				'text' => ''
			)
		)
	),
	array('label' => 'Lightbox Settings',
		'fields' => array(
			'sliderBgColor' => array('label' => 'Slider Window Color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => 'Set the background color for the slider window'
			),
			'sliderPreloaderColor' => array('label' => 'Preloader Color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => 'Set custom color for gallery'
			),
			'sliderNavigationColor' => array('label' => 'Main Controls Color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => 'Background Color'
			),
			'sliderNavigationColorOpacity' => array('label' => 'Main Controls - transparency for background',
				'tag' => 'input',
				'attr' => 'type="number" min="10" max="100" step="10"',
				'text' => ''
			),
			'sliderNavigationIconColor' => array('label' => 'Main Controls Icon Color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => 'Icon Color'
			),
			'sliderItemTitleFontSize' => array('label' => 'Item Title - font size',
				'tag' => 'input',
				'attr' => 'type="number" min="14" max="36" step="1"',
				'text' => ''
			),
			'sliderItemTitleTextColor' => array('label' => 'Item Title - text color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => ''
			),
			'sliderThumbBarEnable' => array('label' => 'Show Thumbnails Bar',
				'tag' => 'checkbox',
				'attr' => 'data-watch="change"',
				'text' => ''
			),
			'sliderInfoEnable' => array('label' => 'Show Info Button',
				'tag' => 'checkbox',
				'attr' => 'data-watch="change"',
				'text' => 'Enable description bar for item'
			),
			'sliderSocialShareEnabled' => array('label' => 'Show Share Buttons',
				'tag' => 'checkbox',
				'attr' => 'data-watch="change"',
				'text' => ''
			),
			'sliderLikesEnabled' => array('label' => 'Show Like Button',
				'tag' => 'checkbox',
				'attr' => 'data-watch="change"',
				'text' => ''
			),
			'sliderItemDownload' => array('label' => 'Show Download Button',
				'tag' => 'checkbox',
				'attr' => 'data-watch="change"',
				'text' => 'Download original file'
			),
			'sliderInfoBoxBgColor' => array('label' => 'Slider Info Bar background color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => 'Set the background color for the slider window'
			),
			'sliderInfoBoxBgAlpha' => array('label' => 'Slider Info Bar background - alpha channel ',
				'tag' => 'input',
				'attr' => 'type="number" min="0" max="100" step="10" ',
				'text' => ''
			),
			'sliderInfoBoxTitleTextColor' => array('label' => 'Slider Info Bar - Title color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => ''
			),
			'sliderInfoBoxTextColor' => array('label' => 'Slider Info Bar - Description color',
				'tag' => 'input',
				'attr' => 'type="text" data-type="color"',
				'text' => ''
			)
		)
	),
	array('label' => 'Advanced Settings',
		'fields' => array('customCSS' => array('label' => 'Custom CSS',
			'tag' => 'textarea',
			'attr' => 'cols="20" rows="10"',
			'text' => 'You can enter custom style rules into this box if you\'d like. IE: <i>a{color: red !important;}</i>
                                                                      <br />This is an advanced option! This is not recommended for users not fluent in CSS... but if you do know CSS, 
                                                                      anything you add here will override the default styles'
		)
			/*,
			'loveLink' => array(
				'label' => 'Display LoveLink?',
				'tag' => 'checkbox',
				'attr' => '',
				'text' => 'Selecting "Yes" will show the lovelink icon (codeasily.com) somewhere on the gallery'
			)*/
		)
	)
);